MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023203Community[OCCT] OCCT:Data Exchangepublic2012-06-14 22:092013-04-29 15:21
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023203: STEP import produces wrong surface of revolution on ellipse
DescriptionRegression caused by #952

STEP importer produces wrong surface of revolution when axis of revolution goes through the ellipse location and lies in its plane.

The root-cause is fix #952 in StepToGeom_MakeSurfaceOfRevolution::Convert() which produces a regression on ellipses.
Apparently the fix 952 was wrong:
- it changes the ellipse axes
- even on circles (when geometrical form is preserved) it may change original surface parametrization and hence pcurve in the file will be imported wrong.

With that, the fix #952 needs to be revisited and at best removed. It should be Shape Healing's job, not particular format importer's, to handle such case. Perhaps this is not needed at all - perhaps OCC can handle such revolved surfaces well (note that face f from reproducer is valid and displayed well, and checkshape claims valid).

P.S. Public access to #952 is denied, so it is impossible to verify original model that required that fix.
Steps To Reproduceellipse e 0 0 0 0 -1 0 1 0 -1 10 5
revsurf re e 0 0 0 0 0 1
mkface f re 0 3 0 1
newmodel
stepwrite 0 f f.stp
stepread . res *
explode res_1 f
mksurf ress1 res_1_1
dump ress1
# above is synthetic reproducer. attached test.brep is original one.
TagsNo tags attached.
Test case numberbugs step(008) bug23203
Attached Fileszip file icon test.zip (1,206 bytes) 2012-06-14 22:09
? file icon bug23203 (1,647 bytes) 2012-12-19 16:45

- Relationships

-  Notes
(0020698)
Roman Lygin (developer)
2012-06-14 22:12

Reassigned to skl, the author of #952
(0020699)
Roman Lygin (developer)
2012-06-14 22:26

The branch CR23203 created and pushed into the repository. Please review.
(Please note that the fix has not been compiled or tested explicitly - only manually verified in debugger, by skipping the code of fix952)
(0020759)
skl (developer)
2012-06-22 10:04

I believe that fix for bug 952 is useful for circles and cases for ellipses which axis coincided with axis of rotation. Therefore I think that existed fix for bug 952 needs to change but not remove.
(0022682)
ika (developer)
2012-12-13 09:58

Checking of ellipse axis was added.

Git branch CR23203_1 is ready to be reviewed.

Dear SKL,
Please review.
(0022717)
skl (developer)
2012-12-17 12:10

OK
(0022773)
mkv (tester)
2012-12-19 16:46

Dear BugMaster,

Branch CR23203_1 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
bugs step(008) bug23203 - OK.

- Related Changesets
occt: master 41b3001c
Timestamp: 2012-12-21 12:01:04
Author: bugmaster
Details ] Diff ]
0023203: STEP import produces wrong surface of revolution on ellipse

Checking of XAsis for ellipses was added.
Adding test case for this fix
mod - src/StepToGeom/StepToGeom_MakeSurfaceOfRevolution.cxx Diff ] File ]
add - tests/bugs/step/bug23203 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-06-14 22:09 Roman Lygin New Issue
2012-06-14 22:09 Roman Lygin Assigned To => gka
2012-06-14 22:09 Roman Lygin File Added: test.zip
2012-06-14 22:11 Roman Lygin Assigned To gka => skl
2012-06-14 22:12 Roman Lygin Note Added: 0020698
2012-06-14 22:26 Roman Lygin Note Added: 0020699
2012-06-14 22:26 Roman Lygin Status new => resolved
2012-06-22 10:04 skl Note Added: 0020759
2012-06-22 10:05 skl Assigned To skl => dbv
2012-06-28 17:25 abv Status resolved => assigned
2012-10-24 17:55 abv Assigned To dbv => ika
2012-10-24 17:55 abv Target Version => 6.6.0
2012-12-13 09:58 ika Note Added: 0022682
2012-12-13 09:58 ika Assigned To ika => skl
2012-12-13 09:58 ika Status assigned => resolved
2012-12-17 12:10 skl Note Added: 0022717
2012-12-17 12:11 skl Status resolved => reviewed
2012-12-17 12:12 skl Assigned To skl => mkv
2012-12-19 16:45 mkv File Added: bug23203
2012-12-19 16:46 mkv Note Added: 0022773
2012-12-19 16:54 mkv Test case number => bugs step(008) bug23203
2012-12-19 16:54 mkv Assigned To mkv => bugmaster
2012-12-19 16:54 mkv Status reviewed => tested
2012-12-24 17:23 bugmaster Changeset attached => occt master 41b3001c
2012-12-24 17:23 bugmaster Status tested => verified
2012-12-24 17:23 bugmaster Resolution open => fixed
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker